Skip to main content
`Ctrl`+`K`

# EPSGetDS

Obtain the direct solver object associated to the eigensolver object.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetDS(EPS eps,DS *ds)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- ds - direct solver context

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetDS()`

## Level

advanced

## Location

src/eps/interface/epsbasic.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages